Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability.common.ant
Class IDLCompiler.IDLCompilerDetails

    java.lang.Object
      com.arjuna.orbportability.common.ant.IDLCompiler.IDLCompilerDetails

Enclosing class:
  IDLCompiler

public class IDLCompiler.IDLCompilerDetails
extends java.lang.Object

Field Summary
`protected java.lang.String` | `_compilerExe`
`protected java.util.Hashtable` | `_forEachMapping`
`protected java.util.Hashtable` | `_inParameters`
`protected java.lang.String` | `_orbName`
`protected java.util.ArrayList` | `_outParameters`
`protected java.util.Hashtable` | `_parameterValueMap`

Constructor Summary
`IDLCompiler.IDLCompilerDetails()`

Method Summary
`void` | `addInParameter(java.lang.String param, boolean required, java.lang.String delimiter, boolean isClasspath, java.lang.String replace)`
`void` | `addOutParameter(java.util.ArrayList params)`
`void` | `addOutParameter(java.util.ArrayList params, java.lang.String forEach)`
`void` | `addOutParameter(java.lang.String param)`
`void` | `addOutParameter(java.lang.String param, java.lang.String forEach)`
`java.lang.String` | `getCompilerExecutable()`
`com.arjuna.orbportability.common.ant.IDLCompiler.IDLCompilerDetails.InParameterDetails` | `getInParameter(java.lang.String param)`
`java.lang.String` | `getORBName()`
`java.lang.String[]` | `parse(java.lang.String filename, java.lang.String destDir, java.lang.String packageName, java.lang.String parameters, java.lang.String mappings)` Passed the parameters line from the ANT build file, e.g.
`java.lang.String` | `replaceVariables(java.lang.String data, java.util.Hashtable variableValueMap, java.util.HashSet usedParameters)`
`protected com.arjuna.orbportability.common.ant.IDLCompiler.IDLCompilerDetails.InParameterDetails` | `setAndFlagParameter(java.lang.String param, java.lang.String value, java.util.Hashtable map)`
`void` | `setForEach(java.lang.String param, java.lang.String forEach)`
`void` | `setIDLExecutable(java.lang.String idlExe)`
`void` | `setORBName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _orbName

    protected java.lang.String _orbName

### _compilerExe

    protected java.lang.String _compilerExe

### _inParameters

    protected java.util.Hashtable _inParameters

### _outParameters

    protected java.util.ArrayList _outParameters

### _parameterValueMap

    protected java.util.Hashtable _parameterValueMap

### _forEachMapping

    protected java.util.Hashtable _forEachMapping

Constructor Detail

### IDLCompiler.IDLCompilerDetails

    public IDLCompiler.IDLCompilerDetails()

Method Detail

### setIDLExecutable

    public void setIDLExecutable(java.lang.String idlExe)

### setORBName

    public void setORBName(java.lang.String name)

### getORBName

    public java.lang.String getORBName()

### getCompilerExecutable

    public java.lang.String getCompilerExecutable()
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addInParameter

    public void addInParameter(java.lang.String param,
                               boolean required,
                               java.lang.String delimiter,
                               boolean isClasspath,
                               java.lang.String replace)

### getInParameter

    public com.arjuna.orbportability.common.ant.IDLCompiler.IDLCompilerDetails.InParameterDetails getInParameter(java.lang.String param)

### addOutParameter

    public void addOutParameter(java.lang.String param)

### addOutParameter

    public void addOutParameter(java.lang.String param,
                                java.lang.String forEach)

### setForEach

    public void setForEach(java.lang.String param,
                           java.lang.String forEach)

### addOutParameter

    public void addOutParameter(java.util.ArrayList params)

### addOutParameter

    public void addOutParameter(java.util.ArrayList params,
                                java.lang.String forEach)

### setAndFlagParameter

    protected com.arjuna.orbportability.common.ant.IDLCompiler.IDLCompilerDetails.InParameterDetails setAndFlagParameter(java.lang.String param,
                                                                                                                         java.lang.String value,
                                                                                                                         java.util.Hashtable map)

### parse

    public java.lang.String[] parse(java.lang.String filename,
                                    java.lang.String destDir,
                                    java.lang.String packageName,
                                    java.lang.String parameters,
                                    java.lang.String mappings)
                             throws org.apache.tools.ant.BuildException

  Passed the parameters line from the ANT build file, e.g. parameter='value',parameter2='value2',...

  Throws:
    `org.apache.tools.ant.BuildException`

### replaceVariables

    public java.lang.String replaceVariables(java.lang.String data,
                                             java.util.Hashtable variableValueMap,
                                             java.util.HashSet usedParameters)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD